View Issue Details

IDProjectCategoryView StatusLast Update
0003011Ham Radio DeluxeBugpublic2019-01-16 22:05
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformIntel i7-5960XOSWindows 10 Professional x64OS Version16299
Product Version 
Target VersionFixed in Version6.5.0.183 
Summary0003011: Logbook: Can't drag-and-drop enabled callsign lookup sources in configuration dialog
DescriptionThe "Enabled methods" list in the "Callsign Lookup" configuration dialog supports drag-and-drop. The user can click a lookup method and drag it to change its priority.

This feature is broken. Entries can be dragged towards the top of the list (towards a higher priority), but can't be dragged toward the bottom of the list (toward a lower priority).


Steps To Reproduce1) Fire up the logbook. Don't need a database.
2) In the "Tools" menu, use the "Configure" tear-off to get to the "Callsign Lookup" commnad.
3) In the resulting "Callsign lookup" dialog, you'll find a list of enabled methods. For me, the list is like this:

Country list
Logbook
QRZ CD
QRZ.com Subscription


4) Drag "Country List" down, toward the bottom. Doesn't matter where you move it, just someplace lower.

BUG#1) It doesn't work. The item doesn't move.

5) Click the "QRZ.com subscription" item and drag it towards the top. Again, doesn't matter -- just someplace higher.
6) Works fine.
7) Click "QRZ.com" again. drag it down to try to put it back where it was before Step #5.

BUG#2) You can't. The item is draggable, but doesn't move.

TagsNo tags attached.
ModuleLogbook
Sub-ModuleCall lookup
Testing Beta Successful

Relationships

Activities

K7ZCZ

2019-01-02 10:36

manager   ~0006857

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4656

WA9PIE

2019-01-04 12:35

administrator   ~0006879

Validated

Issue History

Date Modified Username Field Change
2018-12-22 17:44 K7ZCZ New Issue
2019-01-02 10:36 K7ZCZ Assigned To => K7ZCZ
2019-01-02 10:36 K7ZCZ Status new => resolved
2019-01-02 10:36 K7ZCZ Resolution open => fixed
2019-01-02 10:36 K7ZCZ Note Added: 0006857
2019-01-04 11:03 K7ZCZ Fixed in Version => 6.5.0.166
2019-01-04 11:03 K7ZCZ Description Updated View Revisions
2019-01-04 11:03 K7ZCZ Steps to Reproduce Updated View Revisions
2019-01-04 12:35 WA9PIE Status resolved => closed
2019-01-04 12:35 WA9PIE Testing Not Started => Beta Successful
2019-01-04 12:35 WA9PIE Note Added: 0006879
2019-01-16 22:04 WA9PIE Fixed in Version 6.5.0.166 => 6.5.0.183
2019-01-16 22:05 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe